# Uses of Class
javax.swing.text.html.parser.DTD

Packages that use DTD
Package
Description
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of DTD in javax.swing.text.html.parser

Fields in javax.swing.text.html.parser declared as DTD
Modifier and Type
Field
Description
`protected DTD`
Parser.`dtd`
The dtd.
Methods in javax.swing.text.html.parser that return DTD
Modifier and Type
Method
Description
`protected static DTD`
ParserDelegator.`createDTD​(DTD dtd, String name)`
Recreates a DTD from an archived format with the specified `name`.
`static DTD`
DTD.`getDTD​(String name)`
Returns a DTD with the specified `name`.
Methods in javax.swing.text.html.parser with parameters of type DTD
Modifier and Type
Method
Description
`protected static DTD`
ParserDelegator.`createDTD​(DTD dtd, String name)`
Recreates a DTD from an archived format with the specified `name`.
`static void`
DTD.`putDTDHash​(String name, DTD dtd)`
Put a name and appropriate DTD to hashtable.
Constructors in javax.swing.text.html.parser with parameters of type DTD
Modifier
Constructor
Description
``
`DocumentParser​(DTD dtd)`
Creates document parser with the specified `dtd`.
``
`Parser​(DTD dtd)`
Creates parser with the specified `dtd`.